#pragma once
#include <map>
struct Fish_GrandPrixRankingCFGData
{
	//编号
	int mId;
	//排名类型
	int mRankingType;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具
	std::vector<int> mRewardList;
};

class Fish_GrandPrixRankingCFG
{
public:
private:
	static std::auto_ptr<Fish_GrandPrixRankingCFG> msSingleton;
public:
	int GetCount();
	const Fish_GrandPrixRankingCFGData* GetData(int Id);
	const std::map<int, Fish_GrandPrixRankingCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_GrandPrixRankingCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_GrandPrixRankingCFGData> mMapData;
};
